/*--------------------------------------------------------------------
status.m

controls the status display
--------------------------------------------------------------------*/

#ifndef included
#error - This script can only be compiled as a #include
#endif

Function status_onScriptLoaded();
Function status_onScriptUnLoading();
Function status_onPlay();
Function status_onPause();
Function status_onResume();
Function status_onStop();

Global layer stat_play, stat_pause, stat_stop;

status_onScriptLoaded()
{
	stat_play = scriptGrp.getObject("stat_play");
	stat_pause = scriptGrp.getObject("stat_pause");
	stat_stop = scriptGrp.getObject("stat_stop");
	
	if (getStatus()==-1)//paused
	{
		stat_play.hide();
		stat_stop.hide();
		stat_pause.show();
	}

	else if (getStatus()==0)//stopped
	{
		stat_play.hide();
		stat_stop.show();
		stat_pause.hide();
	}

	else if (getStatus()==1)//playing
	{
		stat_play.show();
		stat_stop.hide();
		stat_pause.hide();
	}	
}

status_onPlay()
{
	stat_stop.hide();
	stat_pause.hide();
	stat_play.show();
}

status_onStop()
{
	stat_play.hide();
	stat_pause.hide();
	stat_stop.show();
}

status_onPause()
{
	stat_play.hide();
	stat_stop.hide();
	stat_pause.show();
}

status_onResume()
{
	stat_pause.hide();
	stat_stop.hide();
	stat_play.show();
}